Subject: [Ietf-calsify] Section 4.6.1 Event Component: eventprop

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Aug 21 21:08:47 2006

In section 4.6.1 Event Component of RFC 2445...

The rule eventprop specifies that DTSTAMP, DTSTART and UID
are OPTIONAL which is in contradiction with section 4.8.7.2
Date/Time Stamp, section 4.8.2.4 Date/Time Start, and section
4.8.4.7 Unique Identifier which all specify that those three
properties are REQUIRED in VEVENT components.

I propose to change the beginning of "eventprop" as follows:

 >  eventprop  = *(
 >
 >             ; the following are both REQUIRED,
 >             ; but MUST NOT occur more than once
 >
 >             dtstamp / dtstart / uid /
 >
 >             ; the following are optional,
 >             ; but MUST NOT occur more than once
 >
 >             ...

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Tue Aug 22 06:55:22 2006

Hi Bernard,
+1 with minor corrections:

>  >             ; the following are both REQUIRED,

                                     ^^^^ remove 'both'

>  >             ; the following are optional,

                                     ^^^^^^^^ capitalize to make it a 2119 
term

>  >             ; but MUST NOT occur more than once

PS the optional -> OPTIONAL may be needed throughout the spec in similar 
cases.

-- 
Cyrus Daboo